
Foreman - Bug #119

Child classes more than one layer deep in modules get missed

12/07/2009 06:56 PM - Frank Sweetser

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Puppet integration   

Target version: 0.1-3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The puppet:import:puppet_classes task only looks for pp files in the top level directory of each module, meaning that any classes

contained in subdirectories get missed.  Simple one line fix attached.

Associated revisions

Revision 380dd66b - 12/08/2009 03:28 AM - Frank Sweetser

fixes #119 - Recurse into module directories when looking for classes

History

#1 - 12/08/2009 03:30 AM - Frank Sweetser

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 380dd66b15436670b36254705cb10c4e302e014a.

#2 - 12/08/2009 03:30 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Target version set to 0.1-3

Files

0001-Recurse-into-module-directories-when-looking-for-cla.patch 936 Bytes 12/07/2009 Frank Sweetser
